summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrey Konovalov <andrey.konovalov@linaro.org>2013-09-09 22:53:22 +0400
committerAndrey Konovalov <andrey.konovalov@linaro.org>2013-09-09 22:53:22 +0400
commit264c0092ec53ae2a5c4ed004ab004a04308c6ab3 (patch)
treeca0ad63e60686c6cb2725fe8b5118262bb5ae42e
Initial commit - linux-linaro-tracking-ll CI job
Signed-off-by: Andrey Konovalov <andrey.konovalov@linaro.org>
-rwxr-xr-xll-ci.sh97
1 files changed, 97 insertions, 0 deletions
diff --git a/ll-ci.sh b/ll-ci.sh
new file mode 100755
index 0000000..76746c6
--- /dev/null
+++ b/ll-ci.sh
@@ -0,0 +1,97 @@
+#!/bin/bash
+
+set -ex
+
+export parent_workspace="/mnt/ci_build/workspace/linux-linaro-tracking-ll"
+export reference_git="${parent_workspace}/reference-git"
+
+trap cleanup_exit INT TERM EXIT
+
+cleanup_exit()
+{
+ cd ${WORKSPACE}
+ rm -rf lci-build-tools
+ rm -rf builddir*
+}
+
+test -d ${reference_git} || git clone --depth 1 -b linux-linaro git://git.linaro.org/kernel/linux-linaro-tracking.git ${reference_git}
+cp -a ${reference_git}/* ${reference_git}/.git* .
+
+# XXX fabo: until ll is updated
+echo "CONFIG_BRIDGE_EBT_T_NAT=m" >> linaro/configs/distribution.conf
+case "${hwpack}" in
+ arndale)
+ export hwpack_type="arndale"
+ export board_types="arndale"
+ export kernel_flavour="arndale"
+ export conf_filenames="linaro/configs/linaro-base.conf linaro/configs/distribution.conf linaro/configs/kvm-host.conf linaro/configs/arndale.conf"
+ ;;
+ highbank)
+ export hwpack_type="highbank"
+ export board_types="highbank"
+ export kernel_flavour="highbank"
+ export conf_filenames="linaro/configs/linaro-base.conf linaro/configs/distribution.conf linaro/configs/highbank.conf"
+ echo "CONFIG_ARM_APPENDED_DTB=y" >> linaro/configs/highbank.conf
+ ;;
+ origen)
+ export hwpack_type="origen"
+ export board_types="origen"
+ export kernel_flavour="origen"
+ export conf_filenames="linaro/configs/linaro-base.conf linaro/configs/distribution.conf linaro/configs/origen.conf"
+ ;;
+ panda)
+ export hwpack_type="panda"
+ export board_types="panda"
+ export kernel_flavour="omap"
+ export conf_filenames="linaro/configs/linaro-base.conf linaro/configs/distribution.conf linaro/configs/omap2plus.conf linaro/configs/panda.conf"
+ ;;
+ snowball)
+ export hwpack_type="snowball"
+ export board_types="snowball_sd"
+ export kernel_flavour="u8500"
+ export conf_filenames="linaro/configs/linaro-base.conf linaro/configs/distribution.conf linaro/configs/u8500.conf"
+ export SKIP_LICENSE=1
+ ;;
+ vexpress)
+ export hwpack_type="vexpress"
+ export board_types="vexpress-a9,vexpress-a5,vexpress-tc2,rtsm_ve-a15x1-a7x1,rtsm_ve-a15x4-a7x4"
+ export kernel_flavour="vexpress"
+ export conf_filenames="linaro/configs/linaro-base.conf linaro/configs/distribution.conf linaro/configs/kvm-guest.conf linaro/configs/big-LITTLE-MP.conf linaro/configs/big-LITTLE-IKS.conf linaro/configs/vexpress.conf"
+ export lava_test_plan="ltp:9600,pwrmgmt"
+ ;;
+esac
+
+export use_config_fragment=1
+export MAKE_DTBS=true
+export git_web_url="https://git.linaro.org/gitweb?p=kernel/linux-linaro-tracking.git;a=shortlog;h=refs/heads/linux-linaro"
+
+export toolchain_url="http://releases.linaro.org/13.08/components/toolchain/binaries/gcc-linaro-arm-linux-gnueabihf-4.8-2013.08_linux.tar.xz"
+
+bzr branch lp:linaro-ci lci-build-tools
+bash -x lci-build-tools/jenkins_kernel_build_inst
+
+cp -a builddir-*-${kernel_flavour}/.config kernel_config_${hwpack}
+
+echo "HWPACK_JOB_NAME=${JOB_NAME}" > post_build_lava_parameters
+echo "HWPACK_BUILD_NUMBER=${BUILD_NUMBER}" >> post_build_lava_parameters
+echo "HWPACK_FILE_NAME=`ls hwpack_linaro-${hwpack}*.tar.gz`" >> post_build_lava_parameters
+echo "BUNDLE_STREAM_NAME=/private/team/linaro/ci-linux-linaro-tracking-ll/" >> post_build_lava_parameters
+
+case "${hwpack}" in
+ arndale|highbank|origen|panda)
+ echo "DEVICE_TYPE=${hwpack}" >> post_build_lava_parameters
+ ;;
+ snowball)
+ echo "DEVICE_TYPE=snowball_sd" >> post_build_lava_parameters
+ ;;
+ vexpress)
+ echo "DEVICE_TYPE=vexpress-a9" >> post_build_lava_parameters
+ ;;
+esac
+
+cat << EOF > BUILD-INFO.txt
+Format-Version: 0.1
+
+Files-Pattern: *
+License-Type: open
+EOF